Subject: [Pce] Suggestion for LABEL-SET object

From: <[email-masked]>
Date: Wed, 16 Mar 2011 08:39:35 +0200

draft-ietf-pce-gmpls-pcep-extensions-02 introduces the LABEL-SET object, which
may consist of two LABEL-SET TLVs.  In GMPLS it is often the case, that the
LABEL-SET for the downstream direction and the LABEL-SET for the upstream
direction are identical.  I suggest a LABEL-SET TLV to be provided with a B-bit
(B for bidirectional), such that one LABEL-SET TLV could represent both
directions.  This suggestion is not concerned with the saving of bytes on the
wire, rather it concerns with consistency of upstream and downstream data.

Christian